## NAME

d.histogram - Displays a histogram in the form of a pie or bar chart for a user-specified raster map.

## KEYWORDS

display, histogram, statistics

## SYNOPSIS

d.histogram
d.histogram --help
d.histogram [-nc] map=name [style=string] [color=name] [bgcolor=name] [nsteps=integer] [--help] [--verbose] [--quiet] [--ui]

### Flags:

-n
  Display information for null cells
-c
  Report for ranges defined in cats file (fp maps only)
--help
  Print usage summary
--verbose
  Verbose module output
--quiet
  Quiet module output
--ui
  Force launching GUI dialog

### Parameters:

map=name [required]
  Raster map for which histogram will be displayed
style=string
  Indicate if a pie or bar chart is desired
  Options: pie, bar
  Default: bar
color=name
  Color for text and axes
  Either a standard color name or R:G:B triplet
  Default: black
bgcolor=name
  Background color
  Either a standard color name, R:G:B triplet, or "none"
  Default: white
nsteps=integer
  Number of steps to divide the data range into (fp maps only)
  Default: 255

## DESCRIPTION

d.histogram displays the category-value distribution for a user-specified raster map layer, in the form of a bar chart or a pie chart. The display will be displayed in the active display frame on the graphics monitor, using the colors in the raster map layer's color table. The program determines the raster map's category value distribution by counting cells.

## NOTES

d.histogram respects the current geographic region settings and the current MASK (if one exists).

d.histogram uses the colors in the map's color look-up table (i.e., the map's colr or colr2 file).

## EXAMPLES

Running the command below will generate the bar graph shown in the figure:

    g.region raster=elevation -p
    d.mon wx0
    d.histogram map=elevation

Figure: Bar graph histogram for elevation map

Running the command below will generate the pie graph shown in the figure:

    g.region raster=landuse96_28m -p
    d.histogram map=landuse96_28m style=pie

Figure: Pie graph histogram for landuse map

## SEE ALSO

d.colortable, d.frame, d.graph, d.linegraph, d.mon, d.polar, g.region, r.stats

## AUTHOR

Dave Johnson
DBA Systems, Inc.
10560 Arrowhead Drive
Fairfax, Virginia 22030

## SOURCE CODE

Available at: d.histogram source code (history)

Accessed: unknown

Main index | Display index | Topics index | Keywords index | Graphical index | Full index

© 2003-2022 GRASS Development Team, GRASS GIS 7.8.7 Reference Manual